import { TTheme } from '../../hooks/theme/types/theme.type';


export const theme: TTheme = {
    light: {
        accent_red:      '#ff3b30',
        accent_orange:   '#ff9500',
        accent_yellow:   '#ffcc00',
        accent_green:    '#34c759',
        accent_teal:     '#5ac8fa',
        accent_blue:     '#007aff',
        accent_indigo:   '#5856d6',
        accent_purple:   '#af52de',
        accent_pink:     '#ff2d55',
        light01:         '#ffffff',
        light02:         '#efeff4',
        light03:         'rgba(239, 239, 244, 0.3)',
        light_24:        'rgba(255, 255, 255, 0.24)',
        dark100:         '#2c2c2e',
        grey_01:         '#8f8f94',
        grey_02:         '#aeaeb2',
        grey_03:         '#c7c7cc',
        grey_04:         '#d1d1d6',
        disabled_100:    '#999999',
        disabled24:      'rgba(153, 153, 153, 0.24)',
        label_primary:   '#1c1c1e',
        label_secondary: 'rgba(60, 60, 67, 0.6)',
        label_ternary:   'rgba(60, 60, 67, 0.3)',
        labelQuaternary: 'rgba(60, 60, 67, 0.18)',
    },
    dark:  {
        accent_red:      '#a52e2a',
        accent_orange:   '#8b4e00',
        accent_yellow:   '#a88900',
        accent_green:    '#1a5d2b',
        accent_teal:     '#3c7694',
        accent_blue:     '#00356b',
        accent_indigo:   '#413f99',
        accent_purple:   '#702f86',
        accent_pink:     '#991c34',
        light01:         '#ffffff',
        light02:         '#bebec3',
        light03:         'rgba(135,135,139,0.3)',
        light_24:        'rgba(187,187,187,0.24)',
        dark100:         '#535355',
        grey_01:         '#636368',
        grey_02:         '#6d6d71',
        grey_03:         '#75757a',
        grey_04:         '#7c7c81',
        disabled_100:    '#737373',
        disabled24:      'rgba(111,111,111,0.24)',
        label_primary:   '#030304',
        label_secondary: 'rgba(31,31,38,0.6)',
        label_ternary:   'rgba(35,35,41,0.3)',
        labelQuaternary: 'rgba(37,37,43,0.18)',
    },
};
